Dragonfly CMS v9 ⇒ PHP-Nuke :: Archives ⇒ [solved] Cpg install after upgrade from 7.8 to 9.1.2.1 :: Archived ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum Index Switch from X to Dragonfly v9 PHP-Nuke ⇒ Archives

Archived ⇒ [solved] Cpg install after upgrade from 7.8 to 9.1.2.1


Hi.

I've recently upgraded my old nuke system from 7.8 to 9.1.2.1
There were some troubles during install, but nothing that I couldn't solve by searching the forums here or just look at the errors.

Anyway; I've been trying to install the coppermine module, but got some errors.
First, I got a warning regarding cpg_albums or something existing. So I deleted that from the DB (bad choice?)
After that, I got a second error;

includes/db/db.php * CMS Warning line 75: On /admin.php?op=modules&install=coppermine While executing query "CREATE TABLE nuke_cpg_albums ( aid int(11) NOT NULL auto_increment, title varchar(255) NOT NULL default '', description text NOT NULL, visibility int(11) NOT NULL default '0', uploads enum('YES','NO') NOT NULL default 'NO', comments enum('YES','NO') NOT NULL default 'YES', votes enum('YES','NO') NOT NULL default 'YES', pos int(11) NOT NULL default '0', category int(11) NOT NULL default '0', pic_count int(11) NOT NULL default '0', thumb int(11) NOT NULL default '0', last_addition INT NOT NULL default '0', stat_uptodate enum('YES','NO') NOT NULL default 'NO', PRIMARY KEY (aid), KEY alb_category (category)) TYPE=MyISAM" the following error occured: Table 'nuke_cpg_albums' already exists In: /home/sites/hpbk.org/www/includes/classes/installer.php on line: 61

Any advice in general or on this topic specifically?

I realise the fact that 9.1.2.1 doesn't support upgrade from 7.8, but I really felt like getting my page upgraded, due to a number of security issues lately...

Server info:
CMS Version 9.1.2.1
PHP Version 4.4.6
MySQL Version 4.0.18 (client: 3.23.49)

Any help would be greatly appreciated!

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
FreeBSD/1.3.31//4.3.11/


Solved, seems like the script had already created the necessary tables. I simply delted them via phpmyadmin, and run the install via Modules in the admin panel.
Still works like a charm!

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
FreeBSD/1.3.31//4.3.11/


I seem to have run into another problem; I can't get coppermine to be accessible for guests.
It says "active" and "all visitors" in the Modules panel, but still, when I log out from the admin account, I get this;

The URL that you requested, /index.php?name=coppermine, is temporarily unavailable. We're sorry, but this module has been disabled

Any idea what this might be due to?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
FreeBSD/1.3.31//4.3.11/


When you change those settings the cache should be rebuilt, but just in case have you tried deleting the contents of the /cache/ directory except for .htaccess?

Diagon Alley - Top Design

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux/1.3.37/4.1.21-standard/4.4.4/9.1.1


Sorry, still no access...wierd...

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
FreeBSD/1.3.31//4.3.11/


Admin; could you move this q to the Coppermine section please?:)
(If you think it belongs there, that is...)

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
FreeBSD/1.3.31//4.3.11/


Mark as solved.

I had a duplicate entry in the $prefix_modules table, where one was active, the other one was not. Deleted the in-active one, and everything works again...

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
FreeBSD/1.3.31//4.3.11/

All times are UTC